Results 1 to 5 of 5
Discuss Running previous OS on 2.3 ATV? at the AppleTV 1 - Hackint0sh.org; My ATV came with 2.3 . Can it safely run any previous version? For example ...
  1. #1
    Advanced Array

    Join Date
    Apr 2007
    Posts
    49
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default Running previous OS on 2.3 ATV?

    My ATV came with 2.3 . Can it safely run any previous version? For example could I "downgrade" it to 2.1 or even 1.x ?

    Thank's,

    ls



  2. #2
    Developer Array

    Join Date
    Jul 2008
    Posts
    471
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    29

    Default

    Quote Originally Posted by lstep View Post
    My ATV came with 2.3 . Can it safely run any previous version? For example could I "downgrade" it to 2.1 or even 1.x ?

    Thank's,

    ls
    2.1 probably, 1.x almost definitely not. i remember speaking to davilla about this when he was working on patchstick builder, i think there is some incompatibility with a minor hardware change between 1.x and 2.x appletv's, something about a different wireless card or something like that, dont remember the exact specifics. but i do believe the conclusion was against 2.x oob appletvs running 1.x versions. Why would you want to downgrade to 1.x anyway? i can understand 2.1, but 1.x not so much.

  3. #3
    Advanced Array

    Join Date
    Apr 2007
    Posts
    49
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by nitosoft View Post
    2.1 probably, 1.x almost definitely not. i remember speaking to davilla about this when he was working on patchstick builder, i think there is some incompatibility with a minor hardware change between 1.x and 2.x appletv's, something about a different wireless card or something like that, dont remember the exact specifics. but i do believe the conclusion was against 2.x oob appletvs running 1.x versions. Why would you want to downgrade to 1.x anyway? i can understand 2.1, but 1.x not so much.
    I'm mainly interested in 2.1. The 1.x issue was more of a curiosity question. While I like the layout of the native videos with 2.4 and I do like the learning remote tool of 2.3.x, I am more interested in getting rewind working properly when running files via nitoTV (which is what I do roughly 60% of the time). So whichever OS gives me a rewind that works without rebooting the Finder is where my ATV will go...

    As far as 1.x goes, weren't there more things installed when it came to networking? To get AFS to work in 2.x I had to do a smart install from nitoTV with a very strange hybrid of a restore from 1.x and the Tiger upgrade dmg.

    ls

  4. #4
    Developer Array

    Join Date
    Jul 2008
    Posts
    471
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    29

    Default

    Quote Originally Posted by lstep View Post
    I'm mainly interested in 2.1. The 1.x issue was more of a curiosity question. While I like the layout of the native videos with 2.4 and I do like the learning remote tool of 2.3.x, I am more interested in getting rewind working properly when running files via nitoTV (which is what I do roughly 60% of the time). So whichever OS gives me a rewind that works without rebooting the Finder is where my ATV will go...

    As far as 1.x goes, weren't there more things installed when it came to networking? To get AFS to work in 2.x I had to do a smart install from nitoTV with a very strange hybrid of a restore from 1.x and the Tiger upgrade dmg.

    ls
    1.0 had a lot of files in place that were needed or things such as afp, it didnt make the functionality of afp any different than it is in 2.x versions though. as far as rewinding is concerned im pretty sure that apple bug goes back to 2.1 and probably even earlier. i stayed on 2.1 for a very long time and definitely experienced it, theres really nothing that can be done short of apple fixing the bug on their end, which there is no real motivation on their part to do it.

  5. #5
    Senior Professional Array

    Join Date
    Mar 2007
    Posts
    205
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    18

    Default

    All AppleTVs contain the exact same hardware (ignoring disks) except for the wifi card. The wifi card has changed at least twice in the shipping hardware. Running an AppleTV OS prio to what shipped on it could walk into a kext bug where the kernel on a 1.x will panic if the wifi card is the latter ones.

    So running 1.x on a factory 2.x might/might not work without tweaks. The tweak is to use the mach_kernel from 2.2 with the 1.x dmg. Generally it is recommended to match mach_kernels and dmgs but this seems to be ok.


 

 

Similar Threads

  1. can't downgrade 3.0 to any previous firmware...
    By hoopy1888 in forum iOS 3.x (iPhone OS 3.x)
    Replies: 2
    Last Post: 12-15-2009, 02:57 PM
  2. Replies: 1
    Last Post: 11-04-2008, 05:55 PM
  3. Replies: 39
    Last Post: 01-05-2008, 12:45 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 10:26 PM.
twitter, follow us!